DO $$ 
	DECLARE _path character varying(256) = 'patch-2024-07-18-Licenses_UIndex';

	BEGIN
		IF EXISTS (SELECT "Id" FROM public."Versions" WHERE "Path"=_path) THEN
			RETURN;
		END IF;

		IF EXISTS (SELECT "Id" FROM public."Versions" WHERE "Build">=4230) THEN
			RETURN;
		END IF;

		BEGIN

			CREATE UNIQUE INDEX IF NOT EXISTS "IDX_Licenses-ProductType-MachineId"
    ON public."Licenses" USING btree
    ("ProductType" ASC NULLS LAST, "MachineId" ASC NULLS LAST)
    TABLESPACE pg_default;
 
			INSERT INTO public."Versions" ("Path", "Build") VALUES (_path, 0);

			EXCEPTION
				WHEN OTHERS THEN RAISE NOTICE '[ERR] patch-2024-07-18-Licenses_UIndex: %', SQLERRM;
		END;
	END;
$$
